/* レイヤーリストサイドバー関係のスタイル */

.text-style {
  font-size: 12px;
}

/* ライン・ポリゴン・スポット（新規作成） */
.createLayerlist-item {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 18px;
}

.createLayerlist-item.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.createLayerlist-item .layerSelection {
  display: none;
}

.createLayerlist-item.selected .layerSelection {
  display: block;
}

.createLayerlist-item:hover .layerSelection {
  display: none;
}

.createLayerlist-item .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: block;
}


/* 市町村 */
.municipalities-layerlist-item {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 18px;
}

.municipalities-layerlist-item.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.municipalities-layerlist-item .layerSelection {
  display: none;
}

.municipalities-layerlist-item.selected .layerSelection {
  display: block;
}

/* .municipalities-layerlist-item:hover .layerSelection {
  display: none;
} */

.municipalities-layerlist-item .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: block;
}

.municipalities-layerlist-item.selected .a_tag2 {
  display: none;
}

.municipalities-layerlist-item:hover .a_tag2 {
  display: block;
}

/* 都道府県 */
.prefectures-layerlist-item {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 18px;
}

.prefectures-layerlist-item.selected {
  background-color: rgba(250, 240, 240, 0.8);
}

.prefectures-layerlist-item .layerSelection {
  display: none;
}

.prefectures-layerlist-item.selected .layerSelection {
  display: block;
}

/* .prefectures-layerlist-item:hover .layerSelection {
  display: none;
} */

.prefectures-layerlist-item .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: block;
}

.prefectures-layerlist-item.selected .a_tag2 {
  display: none;
}

.prefectures-layerlist-item:hover .a_tag2 {
  display: block;
}

/* 森林管理図 */
.forestry-container {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 8px 0 4px 0;
  padding: 5px 8px 5px 10px;
}

.forestry-container .layerSelection {
  display: block;
}

.forestry-container .layerSelection {
  display: block;
}

.forestry-container:hover .layerSelection {
  display: none;
}

.forestry-container .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: none;
}

.forestry-container:hover .a_tag2 {
  display: block;
}





/* ライン・ポチゴン・スポット */
.geometry_Value {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 18px;
}

.geometry_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.geometry_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.geometry_Value.selected .layerSelection {
  display: block;
}

.geometry_Value .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: none;
}

.zoning-layer-list-items {
  cursor: pointer;
  justify-content: flex-start;
  align-items: center;
  padding: 8px;
  margin: 4px 0;
}

.inline-flex-important {
  display: inline-flex !important;
  align-items: center;
  width: 100%;
}

/* レイヤーリストゾーニング */
.prefzoning-line-checked {
  background-color: rgba(201, 217, 255, 0.8);
}

/* 背景色・ホバー時 */
.prefzoning-line-hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

p .selected .prefzoning_Checked1_Image {
  display: block;
}

.prefzoning_Checked1_Image {
  display: none;
}

p .selected .prefzoning_Checked2_Image {
  display: block;
}

.prefzoning_Checked2_Image {
  display: none;
}

p .selected .prefzoning_Checked3_Image {
  display: block;
}

.prefzoning_Checked3_Image {
  display: none;
}

p .selected .prefzoning_Checked4_Image {
  display: block;
}

.prefzoning_Checked4_Image {
  display: none;
}

.selected .prefzoning_Checked5_Image {
  display: block;
}

.prefzoning_Checked5_Image {
  display: none;
}

.selected .prefzoning_Checked6_Image {
  display: block;
}

.prefzoning_Checked6_Image {
  display: none;
}

.selected .prefzoning_Checked7_Image {
  display: block;
}

.prefzoning_Checked7_Image {
  display: none;
}



.checkImage {
  display: none;
}

.polygon_pref_menu_i_tag {
  color: #141415;
  margin-left: auto;
  padding: 2px 10px;
  display: inline-block;
}

.prefzoningLine:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.parentDiv:has(.selected) .prefzoningLine {
  background-color: rgba(201, 217, 255, 0.8);
}

.parentDiv:has(.selected) .checkImage {
  display: block;
}

/* .parentDiv:has(.selected) .prefzoningLine:hover .checkImage {
  display: none;
} */


.parentDiv:has(.selected) .polygon_pref_menu_i_tag {
  display: none;
}

.parentDiv:has(.selected) .prefzoningLine:hover .polygon_pref_menu_i_tag {
  display: inline-block;
}

.polygon_zoning_menu_i_tag {
  color: #141415;
  margin-left: auto;
  padding: 2px 10px;
  display: inline-block;
}

.p_tag2:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.parentDivZoning:has(.selected) .p_tag2 {
  background-color: rgba(201, 217, 255, 0.8);
}

.parentDivZoning:has(.selected) .checkImage {
  display: block;
}

/* .parentDivZoning:has(.selected) .p_tag2:hover .checkImage {
  display: none;
} */

.parentDivZoning:has(.selected) .polygon_zoning_menu_i_tag {
  display: none;
}

.parentDivZoning:has(.selected) .p_tag2:hover .polygon_zoning_menu_i_tag {
  display: inline-block;
}

/* スコアリング・収益性 */
.scoring_Profit:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.scoring_Profit.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.prefzoning_Checked1_Image {
  display: none;
}

.scoring_Profit.selected .prefzoning_Checked1_Image {
  display: block;
}

/* スコアリング・災害リスク */
.scoring_Disaster:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.scoring_Disaster.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.prefzoning_Checked2_Image {
  display: none;
}


.scoring_Disaster.selected .prefzoning_Checked2_Image {
  display: block;
}

/* ゾーニングマップ */
.zoning-layer-line {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 4px 8px 4px 8px;
  margin: 4px 0;
}

/* ゾーニングマップ・3点リーダーアイコン */
.i_tag2 {
  padding: 2px 10px;
  color: #141415;
}

/* ゾーニングング・3点リーダー */
.menuContainer {
  margin-left: auto;
}

/* ゾーニングマップ・環境保全林・資源循環林 */
.layerSelection {
  display: none;
}

/* 収益性/地位（スギ）・地位(スギ) */
.sugi_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.sugi_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.sugi_Value.selected .layerSelection {
  display: block;
}

/* 収益性/地位（スギ）・スコア */
.sugi_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.sugi_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.sugi_Score.selected .layerSelection {
  display: block;
}

/* 収益性/地位（ヒノキ）・地位(ヒノキ) */
.hinoki_Value {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
}

.hinoki_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.hinoki_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.hinoki_Value.selected .layerSelection {
  display: block;
}

/* 収益性/地位（`ヒノキ）・スコア */
.hinoki_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
}

.hinoki_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.hinoki_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.hinoki_Score.selected .layerSelection {
  display: block;
}

/* 収益性/地位（カラマツ）・地位(カラマツ) */
.matsu_Value {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.matsu_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.matsu_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.matsu_Value.selected .layerSelection {
  display: block;
}

/* 収益性/地位（`カラマツ）・スコア */
.matsu_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.matsu_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.matsu_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.matsu_Score.selected .layerSelection {
  display: block;
}

/* 収益性/集材作業効率・集材作業効率 */
.efficiency_Value {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.efficiency_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.efficiency_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.efficiency_Value.selected .layerSelection {
  display: block;
}

/* 収益性/集材作業効率・スコア */
.efficiency_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.efficiency_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.efficiency_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.efficiency_Score.selected .layerSelection {
  display: block;
}

/* 災害リスク/地形の複雑さ・地形の複雑さ */
.terrain_Value {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.terrain_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.terrain_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.terrain_Value.selected .layerSelection {
  display: block;
}

/* 災害リスク/地形の複雑さ・スコア */
.terrain_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.terrain_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.terrain_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.terrain_Score.selected .layerSelection {
  display: block;
}

/* 災害リスク/傾斜・傾斜 */
.relief_Value {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.relief_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.relief_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.relief_Value.selected .layerSelection {
  display: block;
}

/* 災害リスク/傾斜・スコア */
.relief_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.relief_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.relief_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.relief_Score.selected .layerSelection {
  display: block;
}

/* 災害リスク/保存対象を含む流域・保存対象を含む流域 */
.tatemono_Value {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.tatemono_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.tatemono_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.tatemono_Value.selected .layerSelection {
  display: block;
}

/* 災害リスク/保存対象を含む流域・スコア */
.tatemono_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.tatemono_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.tatemono_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.tatemono_Score.selected .layerSelection {
  display: block;
}

/* 収益性/地利 */
.load_Value {
  padding: 4px 8px 4px 64px;
  display: flex;
  align-items: center;
  margin: 4px 0;
  cursor: pointer;
}

.load_Value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.load_Value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.load_Value.selected .layerSelection {
  display: block;
}

/* 収益性/地利・スコア */
.load_Score {
  padding: 4px 8px 4px 64px;
  display: none;
  margin: 4px 0;
  cursor: pointer;
}

.load_Score:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.load_Score.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.load_Score.selected .layerSelection {
  display: block;
}

/*地上計測アップロード */
.ground-measurement-layer-line {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 4px 8px 4px 8px;
  margin: 4px 0;
}

/* 地上計測アップロード・3点リーダー */
.menuContainer {
  margin-left: auto;
}

/* 地上計測アップロード・3点リーダーアイコン*/
.iconTag {
  padding: 2px 10px;
  color: #141415;
}

/*地上計測アップロード・単木位置 */
.araeTag {
  padding: 4px 8px 4px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.araeTag:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.araeTag.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.araeTag.selected .layerSelection {
  display: block;
}

/*地上計測アップロード・10mメッシュ */
.plotTag {
  padding: 4px 8px 4px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.plotTag:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.plotTag.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.plotTag.selected .layerSelection {
  display: block;
}

/*地上計測アップロード・ポリゴン */
.polygonLine {
  padding: 4px 8px 4px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.polygonLine:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.polygonLine.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

/* 地上計測アップロードのチェックアイコン表示・非表示 */
.ground_measurement_check_Image {
  display: none;
}

.line_liTag.selected .ground_measurement_check_Image {
  display: block;
}

/* 地上計測アップロードの単木位置のチェックアイコン表示・非表示 */
.ground_measurement_check1_Image {
  display: none;
}

.araeTag.selected .ground_measurement_check1_Image {
  display: block;
}

/* 地上計測アップロードの10mメッシュのチェックアイコン表示・非表示 */
.ground_measurement_check2_Image {
  display: none;
}

.plotTag.selected .ground_measurement_check2_Image {
  display: block;
}


/* 地上計測アップロードのポリゴンのチェックアイコン表示・非表示 */
.ground_measurement_check3_Image {
  display: none;
}

.polygonLine.selected .ground_measurement_check3_Image {
  display: block;
}

/* 地上計測アップロードをクリックした時のチェック */
.ground-measurement-layer-line:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.divTag:has(.selected) .ground-measurement-layer-line {
  background-color: rgba(201, 217, 255, 0.8);
}


.divTag:has(.selected) .ground_measurement_check_Image {
  display: block;
}

.divTag:has(.selected) .menuTag {
  display: none;
}

.divTag:has(.selected) .ground-measurement-layer-line:hover .menuTag {
  display: block;
}

/* 空中計測アップロード */
.aerial-measurement-layer-line {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 4px 8px 4px 8px;
  margin: 4px 0;
}

.aerial-measurement-layer-line:hover {
  background-color: #DCDFE5;
}

.divTag:has(.selected) .aerial-measurement-layer-line {
  background-color: rgba(201, 217, 255, 0.8);
}

.divTag:has(.selected) .aerial_measurement_check_Image {
  display: block;
}

.divTag:has(.selected) .menuTag {
  display: none;
}

.divTag:has(.selected) .aerial-measurement-layer-line:hover .menuTag {
  display: block;
}

/* 空中計測アップロードのチェックアイコン表示・非表示 */
.aerial_measurement_check_Image {
  display: none;
}

.line_liTag.selected .aerial_measurement_check_Image {
  display: block;
}

/* 空中計測アップロードの単木位置のチェックアイコン表示・非表示 */
.aerial_measurement_check1_Image {
  display: none;
}

.araeTag.selected .aerial_measurement_check1_Image {
  display: block;
}

/* 空中計測アップロードの10mメッシュのチェックアイコン表示・非表示 */
.aerial_measurement_check2_Image {
  display: none;
}

.plotTag.selected .aerial_measurement_check2_Image {
  display: block;
}

/* 空中計測アップロードのポリゴンのチェックアイコン表示・非表示 */
.aerial_measurement_check3_Image {
  display: none;
}

.polygonLine.selected .aerial_measurement_check3_Image {
  display: block;
}

/* MMS */
.layer-line .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: inline;
  margin-left: auto;
}

.layerSelectionIcon {
  display: none;
  margin: 0 8px;
  margin-left: auto;
}

.divTag:has(.selected) .ground-measurement-layer-line {
  background-color: rgba(201, 217, 255, 0.8);
}

/* li に .selected クラスが追加された場合に表示する */
.layerSelectionIcon {
  display: none;
}

/* li に .selected クラスが追加された場合に表示する */
li.selected .layerSelectionIcon {
  display: inline-block;
}

/* 子要素のスタイル */
.childLayerLi:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

/* .selected が付いているときにホバーが効かないようにする */
.childLayerLi.selected:hover {
  background-color: rgba(201, 217, 255, 0.8);
}

.childLayerLi.selected:hover .layerSelectionIcon {
  display: none;
}

.childLayerLi.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.childLayerLi.selected {
  background-color: rgba(201, 217, 255, 0.8);
}


.childLayerLi .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: inline;
  margin-left: auto;
}

.childLayerLi.selected .a_tag2 {
  display: none;
}

.childLayerLi.selected:hover .a_tag2 {
  display: block;
}

.parentLayerLi:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.GroupLayerSelectionIcon {
  display: none;
}

.layerlist {
  display: flex;
}

.layerlist-item:has(.selected) .GroupLayerSelectionIcon {
  display: inline-block;
  margin-right: 8px;
}

.layerlist-item:has(.selected) .parentLayerLi {
  background-color: rgba(201, 217, 255, 0.8);
}


/* レイヤリスト凡例共通 */
#legendContainer {
  position: absolute;
  top: 72px;
  display: flex;
  flex-direction: column;
  gap: 8px;
  z-index: 1000;
}

/* 市場価格（用途別材積機能の子レイヤー） */
.market_price_value {
  padding: 4px 8px 4px 39px;
  display: flex;
  align-items: center;
  margin: 4px 0;
  cursor: pointer;
}

.market_price_value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.market_price_value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.market_price_value.selected .layerSelection {
  display: block;
}

/* 市場価格凡例 */
.market_price_legend {
  display: none;
  color: #141415;
  background-color: #FAFBFD;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.market_price_legend.listselected {
  display: block;
}

/* 林層区分図（親レイヤー） */
.forest_layer_value {
  padding: 4px 8px 4px 64px;
  display: flex;
  align-items: center;
  margin: 4px 0;
  cursor: pointer;
}

.forest_layer_value:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.forest_layer_value.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.forest_layer_value.selected .layerSelection {
  display: block;
}

/* 市場価格（樹種ポリゴン, 子レイヤー） */
.market_price_tree {
  padding: 4px 8px 4px 80px;
  display: flex;
  align-items: center;
  margin: 4px 0;
  cursor: pointer;
}

.market_price_tree:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.market_price_tree.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.market_price_tree.selected .layerSelection {
  display: block;
}

/* 凡例（必要なら） */
.forest_layer_legend,
.market_price_tree_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.forest_layer_legend.listselected,
.market_price_tree_legend.listselected {
  display: block;
}

/* 地上計測アップロード */
/* 単木位置・10mメッシュ */
.ground_legend_line,
.mesh_legend_line {
  display: none;
  color: #141415;
  background-color: #FAFBFD;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

/* 表示切り替え */
.ground_legend_line.listselected,
.mesh_legend_line.listselected {
  display: block;
}


/* ゾーニング図・スコアリング */
/* 収益性・リスト */
/* 災害リスク */
.profit_legend,
.disaster_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.profit_legend.listselected,
.disaster_legend.listselected {
  display: block;
}


/* 地位(スギ) */
.sugi_legend {
  display: none;
  background-color: #2C2C2C;
  position: absolute;
  left: 550px;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  top: 88px;
}


.sugi_legend.listselected {
  display: block;
}

/* 地位(スギ)・スコア */
.sugi_score_legend {
  display: none;
  background-color: #2C2C2C;
  position: absolute;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  top: 88px;
}

.sugi_score_legend.listselected {
  display: block;
  left: 550px;
}

.sugi_score_legend.listselected.listDown {
  display: block;
  left: 568px;
}

/* 地位(ヒノキ) */
.hinoki_legend {
  display: none;
  background-color: #2C2C2C;
  position: absolute;
  left: 550px;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  top: 88px;
}

.hinoki_legend.listselected {
  display: block;
}

/* 地位(ヒノキ)・スコア */
.hinoki_score_legend {
  display: none;
  background-color: #2C2C2C;
  position: absolute;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  top: 88px;
}

.hinoki_score_legend.listselected {
  display: block;
  left: 550px;
}

.hinoki_score_legend.listselected.listDown {
  display: block;
  left: 568px;
}

/* 地位(カラマツ) */
.matsu_legend {
  display: none;
  background-color: #2C2C2C;
  position: absolute;
  left: 550px;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  top: 88px;
}

.matsu_legend.listselected {
  display: block;
}

/* 地位(カラマツ)・スコア */
.matsu_score_legend {
  display: none;
  background-color: #2C2C2C;
  position: absolute;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  top: 88px;
}

.matsu_score_legend.listselected {
  display: block;
  left: 550px;
}

.matsu_score_legend.listselected.listDown {
  display: block;
  left: 568px;
}


/* 収益性/集材作業効率 */
/* 集材作業効率・スコア*/
.efficiency_legend,
.efficiency_score_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.efficiency_legend.listselected,
.efficiency_score_legend.listselected {
  display: block;
}

/* 災害リスク・地形の複雑さ */
/* 地形の複雑さ・スコア */
.terrain_legend,
.terrain_score_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.terrain_legend.listselected,
.terrain_score_legend.listselected {
  display: block;
}


/* 災害リスク/斜頸 */
/* 斜頸・災害リスク/傾斜スコア */
.relief_legend,
.relief_score_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.relief_legend.listselected,
.relief_score_legend.listselected {
  display: block;
}

/* 災害リスク/保存対象を含む流域 */
/* 保存対象を含む流域・スコア */
.tatemono_legend,
.tatemono_score_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.tatemono_legend.listselected,
.tatemono_score_legend.listselected {
  display: block;
}


/* 収益性/地利 */
/* 地利・スコア */
.load_legend,
.load_score_legend {
  display: none;
  color: #141415;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.load_legend.listselected,
.load_score_legend.listselected {
  display: block;
}

/* 空中計測アップロード用凡例スタイル */
.area_legend_line {
  display: none;
  color: #fff;
  background-color: #2C2C2C;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.area_legend_line.listselected {
  display: block;
}

/* 共通の凡例スタイル */
.listDiv {
  display: flex;
  align-items: center;
  padding: 2px 0;
}

.listHeader {
  font-weight: bold;
  margin-bottom: 4px;
  padding-bottom: 4px;
}

.colorDiv {
  width: 12px;
  height: 12px;
  margin-right: 8px;
  border-radius: 2px;
}

.labelDiv {
  font-size: 12px;
}

/* 作成時のゾーニング図 */
.zoningCreateContainer {
  background-color: rgba(201, 217, 255, 0.8);
}

/* Tiff新規作成 */
.layer-container-normal {
  cursor: pointer;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 4px 0;
  padding: 4px 8px 4px 18px;
}

.layer-container-normal:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.layer-container-normal.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.layer-container-normal .layerSelection {
  display: none;
}

.layer-container-normal.selected .layerSelection {
  display: block;
}

.layer-container-normal .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: block;
}

.layer-container-normal.selected .a_tag2 {
  display: none;
}

.layer-container-normal.selected:hover .a_tag2 {
  display: block;
}

/* 3点リーダーメニュー */
.hidden {
  display: none;
}

.move-right {
  position: absolute !important;
  right: -164px !important;
}

.drower-move-right {
  position: absolute !important;
  left: 354px !important;
  inset: auto auto auto 354px !important;
  transform: none !important;
}

.dropdown-menu-right {
  right: -164px;
}

.dropdown-toggle {
  display: none !important;
}

/* 地上計測アプロードとゾーニングマップの横幅 */
.layer-width {
  width: 100%;
  display: flex;
  align-items: center;
  text-align: center;
}

/* 削除アイコン */
/* 常時表示のためコメントアウト */
/* .deleteIcon {
  display: none;
} */

.geometry_Value.selected .deleteIcon {
  display: block;
}

/* 拡大アイコン */
/* 常時表示のためコメントアウト */
/* .expansionIcon {
  display: none;
} */

.geometry_Value.selected .expansionIcon {
  display: block;
}

/* ゾーニング用、削除アイコン */
.zoning_deleteIcon {
  display: none;
}

.show-zoning_deleteIcon {
  display: block;
}

/* 新規作成のポリゴン・ライン・スポット用、削除アイコン */
.creatingLayer_deleteIcon {
  display: none;
}

.createLayerlist-item.selected .creatingLayer_deleteIcon {
  display: block;
}

/* 新規作成のポリゴン・ライン・スポット用、削除アイコン */
.creatingLayer_expansionIcon {
  display: none;
}

.createLayerlist-item.selected .creatingLayer_expansionIcon {
  display: block;
}

/* 新規作成のポリゴン・ライン・スポット用、チェックアイコン */
.creatingLayer_layerSelection {
  display: none;
}

.createLayerlist-item.selected .creatingLayer_layerSelection {
  display: block;
}

/* 新規作成のポリゴン（都道府県・市町村）、チェックアイコン */
.createLayerlist-item.selected .creatingLayer_layerSelection {
  display: block;
}

/* Tiffy、削除アイコン */
/* shape、削除アイコン */
.layer-container-normal .deleteIcon {
  display: none;
}

.layer-container-normal.selected .deleteIcon {
  display: block;
}

.layer-container-normal .expansionIcon {
  display: none;
}

.layer-container-normal.selected .expansionIcon {
  display: block;
}


/* sahpe、削除アイコン？ */
/* MMS、削除アイコン */
.layerlist-item:has(.selected) .deleteIcon {
  display: inline-block;
}

/* sahpe、削除アイコン？ */
/* MMS、削除アイコン */
.layerlist-item:has(.selected) .expansionIcon {
  display: inline-block;
}

/* 市町村、削除アイコン？？ */
.municipalities-layerlist-item.selected .deleteIcon {
  display: block;
}

/* 市町村、拡大アイコン */
.municipalities-layerlist-item.selected .expansionIcon {
  display: block;
}

/* 都道府県、削除アイコン */
.prefectures-layerlist-item.selected .deleteIcon {
  display: block;
}

/* 都道府県、拡大アイコン */
.prefectures-layerlist-item.selected .expansionIcon {
  display: block;
}

/* 地上計測アップロード、削除アイコン */
.divTag:has(.selected) .deleteIcon {
  display: block;
}

/* 地上計測アップロード、拡大アイコン */
.divTag:has(.selected) .expansionIcon {
  display: block;
}


.caretContainer {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-right: 10px;
  color: #141415;
}

/*環境便益評価額 */
.childTag {
  padding: 4px 8px 4px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.childTag:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.childTag.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.childTag.selected .childCheckIcon {
  display: block;
}

.childTag .childCheckIcon {
  display: none;
}

/*環境便益評価額凡例 */
.land_use_legend {
  display: none;
  color: #141415;
  background-color: #FAFBFD;
  width: 178px;
  padding: 8px;
  border-radius: 8px;
  font-size: 14px;
}

.land_use_legend.listselected {
  display: block;
}

.childTag.selected .ground_measurement_check1_Image {
  display: block;
}

/* 親レイヤのチェックマーク */
.layer-container-normal:has(.selected) .layerSelection {
  display: block;
}

.layer-container-normal:has(.selected) .parent-layer-container:hover .layerSelection {
  display: none;
}

/*ポリゴン（子） */
.polygonTag {
  padding: 4px 8px 4px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.polygonTag:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.polygonTag.selected {
  background-color: #3B537F;
}

.polygonTag.selected .layerSelection {
  display: block;
}

.polygonTag .layerSelection {
  display: none;
}

.polygonTag.selected .ground_measurement_check2_Image {
  display: block;
}

/*親レイヤーのスタイル */
.parent-layer-container {
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 4px 8px 4px 8px;
  margin: 4px 0;
}

.parent-layer-container:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.parent-layer-container.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.parent-layer-container .layerSelection {
  display: none;
}

.parent-layer-container.selected .layerSelection {
  display: block;
}

.parent-layer-container .a_tag2 {
  padding: 2px 10px;
  cursor: pointer;
  display: block;
}

.parent-layer-container.selected .a_tag2 {
  display: none;
}

.parent-layer-container.selected:hover .a_tag2 {
  display: block;
}

/* トグル */
.toggle-icon {
  font-size: 10px;
  width: 10px;
  height: 10px;
  line-height: 10px;
  visibility: hidden;
  /* 初期非表示 */
}

/* 親レイヤー透過度バー */
.opacity-bar-parent {
  display: none;
  margin: 0 10px;
}

.parent-layer-container.selected .opacity-bar-parent {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.parent-layer-container.selected.has-child-layer .opacity-bar-parent {
  display: none;
}

/* 削除アイコン */
.parent-layer-container.selected .deleteIcon {
  display: block;
}

/* 拡大アイコン */
.parent-layer-container.selected .expansionIcon {
  display: block;
}

/* レイヤーアイコン */
.layerIcon {
  margin: 0 8px 0 10px;
}

/* ゾーニング用レイヤーアイコン */
.layerIconRightMargin {
  margin-right: 8px;
}

/*ポリゴン子レイヤー */
.featureLayerTag {
  padding: 4px 8px 4px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.featureLayerTag:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

.featureLayerTag.selected {
  background-color: rgba(201, 217, 255, 0.8);
}

.featureLayerTag .featureCheckIcon {
  display: none;
}

.featureLayerTag.selected .featureCheckIcon {
  display: block;
}

.polygon-label {
  cursor: pointer;
  font-size: 12px;
  pointer-events: none;
}

/* ポリゴン子レイヤー透過度バー */
.opacity-bar-child {
  display: none;
  margin: 0 10px;
}

.featureLayerTag.selected .opacity-bar-child {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

/*SIモデル子レイヤー */
.siModelTag,
.veiModelTag {
  padding: 5px 8px 5px 64px;
  margin: 4px 0;
  align-items: center;
  display: flex;
}

.siModelTag:hover,
.veiModelTag:hover {
  background-color: rgba(220, 223, 229, 0.8);
}

/* レイヤリストキャンセルアイコン */
.cancel-icon-container {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 8px 16px 0;
  height: 32px;
  position: relative;
}

.cancel-icon {
  position: absolute;
  top: 8px;
  right: 12px;
  cursor: pointer;
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cancel-icon.is-light:hover {
  background-color: #E1E3E7;
  border-radius: 50%;
}

.open-layer-list-button {
  position: fixed;
  top: 72px;
  right: 16px;
  z-index: 999;
  background: #FAFBFD;
  color: #141415;
  padding: 0;
  cursor: pointer;
  border: none;
  outline: none;
  height: 40px;
  width: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 4px 0px;
}